# List Scheduled Activities API

{% hint style="success" %}
**Audience:** Developers and Solution Architects

**Purpose:** Enables you to retrieve, inspect, and synchronize upcoming scheduled Activities at scale.
{% endhint %}

## Overview

Use the **List Scheduled Activities** endpoint to retrieve a list of your Scheduled <code class="expression">space.vars.activities</code>, which represent planned future interactions that have not yet been logged or completed. Scheduled <code class="expression">space.vars.activities</code> represent upcoming work such as calls, meetings, tasks, or custom Activity types and are commonly used for planning, calendar views, reminders, and operational workflows. &#x20;

This endpoint is designed for overview and discovery use cases, allowing external systems to surface upcoming <code class="expression">space.vars.activities</code>, filter by date or owner, and synchronize schedules at scale.

The material on this page builds on information covered on the [Activities Core Concepts](/docs/concepts/activities/activities-core-concepts.md) and [Activities Data Model](/docs/concepts/activities/activities-data-model.md).

{% hint style="info" %}
**Note:** This API provides a full list of all your Scheduled Activities without details. To retrieve full details for a single Scheduled Activity, check out [Retrieve Scheduled Activity Details by ID API](/docs/concepts/activities/activities-api-and-webhooks/retrieve-scheduled-activity-details-by-id-api.md).
{% endhint %}

### Why Would I Use this API?

You can use the Listing Scheduled <code class="expression">space.vars.activities</code> APIs when you need to:

* Display upcoming <code class="expression">space.vars.activities</code> in external applications, calendars, or task views
* Synchronize <code class="expression">space.vars.activity</code> schedules with external planning or calendar systems
* Drive reminders or notifications based on future work
* Support planning, workload management, or operational workflows
* Distinguish Scheduled <code class="expression">space.vars.activities</code> from Logged <code class="expression">space.vars.activities</code>

### List Scheduled Activities API Behavior

Use this endpoint to retrieve Scheduled <code class="expression">space.vars.activities</code> and evaluate their current planned state within the platform. It:

* Returns Scheduled <code class="expression">space.vars.activities</code> based on their current status
* Displays Scheduled <code class="expression">space.vars.activities</code> in the UI as upcoming tasks based on `due_datetime`
* Maintains a Scheduled state until the <code class="expression">space.vars.activity</code> is logged
* Transitions the <code class="expression">space.vars.activity</code> to Completed when it is logged
* May trigger an `activity.completed` webhook when a Scheduled <code class="expression">space.vars.activity</code> is completed
* Includes completion metadata such as `completed_at` and `logged_activity_id` when applicable
* Returns response objects structured according to the [Activities Data Model](/docs/concepts/activities/activities-data-model.md) schema

***

## List Scheduled Activities Endpoint

Want to try this endpoint out? Visit our [Swagger](https://app.go.kizen.com/api/docs/public/swagger#/activities/activities_scheduled_activity_list) docs.

## GET /api/activities/scheduled-activity

> List Scheduled Activities

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PaginatedScheduledActivityV2ReadList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/ScheduledActivityV2Read"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"ScheduledActivityV2Read":{"type":"object","properties":{"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityRead"}},"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"logged_activity_id":{"type":"string","format":"uuid"},"activity_object":{"type":"string"},"employee":{"type":"string"},"role":{"$ref":"#/components/schemas/SimpleRole"},"mentions":{"$ref":"#/components/schemas/EmployeeSerpy"},"associated_fields":{"type":"string"},"notifications":{"type":"string"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"}},"required":["access","activity_object","associated_entities","associated_fields","completed_at","created","due_datetime","employee","id","logged_activity_id","mentions","note","notifications","original_due_datetime","role"]},"_AssociatedEntityRead":{"type":"object","properties":{"custom_object":{"$ref":"#/components/schemas/_CustomObjectRead"},"entity":{"$ref":"#/components/schemas/_EntityRead"},"custom_object_id":{"type":"string","format":"uuid","deprecated":true},"object_name":{"type":"string","deprecated":true},"object_api_name":{"type":"string","deprecated":true},"entity_id":{"type":"string","format":"uuid","deprecated":true},"name":{"type":"string","readOnly":true,"deprecated":true},"display_name":{"type":"string","readOnly":true,"deprecated":true}},"required":["custom_object","custom_object_id","display_name","entity","entity_id","name","object_api_name","object_name"]},"_CustomObjectRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"_EntityRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"email":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true}},"required":["display_name","email","id","name"]},"SimpleRole":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200},"default_for_new_users":{"type":"boolean"}},"required":["id","name"]},"EmployeeSerpy":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}},"paths":{"/api/activities/scheduled-activity":{"get":{"operationId":"activities_scheduled_activity_list","description":"List Scheduled Activities","parameters":[{"in":"query","name":"assigned_to_me","schema":{"type":"boolean"},"description":"Filter Scheduled Activities assigned to the logged in employee"},{"in":"query","name":"completed","schema":{"type":"boolean"},"description":"Filter Scheduled Activities that have had a logged activity"},{"in":"query","name":"employee_ids","schema":{"type":"array","minItems":0,"maxItems":250,"items":{"type":"uuid"}},"description":"Filter Scheduled Activities by Team Members UUIDs","explode":false,"style":"form"},{"in":"query","name":"from_date","schema":{"type":"string","format":"date"},"description":"Filter Scheduled Activities Due Datetime starting from date"},{"in":"query","name":"ordering","schema":{"type":"string"},"description":"Order Scheduled Activities by field. The negative sign in front of the '-activity_object' indicates descending order"},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"in":"query","name":"role_ids","schema":{"type":"array","minItems":0,"maxItems":250,"items":{"type":"uuid"}},"description":"Filter Scheduled Activities by Role UUIDs","explode":false,"style":"form"},{"in":"query","name":"search","schema":{"type":"string"}},{"in":"query","name":"to_date","schema":{"type":"string","format":"date"},"description":"Filter Scheduled Activities Due Datetime ending on date"}],"tags":["activities"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedScheduledActivityV2ReadList"}}},"description":""}}}}}}
```

### List Scheduled Activities Schema

## The PaginatedScheduledActivityV2ReadList object

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"components":{"schemas":{"PaginatedScheduledActivityV2ReadList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/ScheduledActivityV2Read"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"ScheduledActivityV2Read":{"type":"object","properties":{"associated_entities":{"type":"array","items":{"$ref":"#/components/schemas/_AssociatedEntityRead"}},"id":{"type":"string","format":"uuid"},"note":{"type":"string"},"due_datetime":{"type":"string","format":"date-time"},"original_due_datetime":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"logged_activity_id":{"type":"string","format":"uuid"},"activity_object":{"type":"string"},"employee":{"type":"string"},"role":{"$ref":"#/components/schemas/SimpleRole"},"mentions":{"$ref":"#/components/schemas/EmployeeSerpy"},"associated_fields":{"type":"string"},"notifications":{"type":"string"},"created":{"type":"string","format":"date-time"},"access":{"$ref":"#/components/schemas/AccessSerpy"}},"required":["access","activity_object","associated_entities","associated_fields","completed_at","created","due_datetime","employee","id","logged_activity_id","mentions","note","notifications","original_due_datetime","role"]},"_AssociatedEntityRead":{"type":"object","properties":{"custom_object":{"$ref":"#/components/schemas/_CustomObjectRead"},"entity":{"$ref":"#/components/schemas/_EntityRead"},"custom_object_id":{"type":"string","format":"uuid","deprecated":true},"object_name":{"type":"string","deprecated":true},"object_api_name":{"type":"string","deprecated":true},"entity_id":{"type":"string","format":"uuid","deprecated":true},"name":{"type":"string","readOnly":true,"deprecated":true},"display_name":{"type":"string","readOnly":true,"deprecated":true}},"required":["custom_object","custom_object_id","display_name","entity","entity_id","name","object_api_name","object_name"]},"_CustomObjectRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"object_name":{"type":"string"}},"required":["id","name","object_name"]},"_EntityRead":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"email":{"type":"string","readOnly":true},"display_name":{"type":"string","readOnly":true}},"required":["display_name","email","id","name"]},"SimpleRole":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true},"name":{"type":"string","maxLength":200},"default_for_new_users":{"type":"boolean"}},"required":["id","name"]},"EmployeeSerpy":{"type":"object","properties":{"picture_url":{"type":"string"},"id":{"type":"string","format":"uuid"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string","format":"email"},"display_name":{"type":"string"},"account_type":{"type":"string"}},"required":["account_type","display_name","email","first_name","id","last_name","picture_url"]},"AccessSerpy":{"type":"object","properties":{"view":{"type":"boolean"},"edit":{"type":"boolean"},"remove":{"type":"boolean"}},"required":["edit","remove","view"]}}}}
```

***

## What’s Next?

After retrieving scheduled <code class="expression">space.vars.activities</code> via the API, you can:

* Display upcoming work in external applications or calendar views
* Retrieve full details for a specific scheduled <code class="expression">space.vars.activity</code> by ID
* Monitor when scheduled <code class="expression">space.vars.activities</code> transition into logged <code class="expression">space.vars.activities</code>
* Use scheduled <code class="expression">space.vars.activity</code> data in <code class="expression">space.vars.automations</code> that depend on timing

For more information on scheduled and logged <code class="expression">space.vars.activities</code>, check out the following topics below:

<details>

<summary>Related Topics</summary>

* [Activities](/docs/concepts/activities.md)
* [Activities Core Concepts](/docs/concepts/activities/activities-core-concepts.md)
* [Activities Data Model](/docs/concepts/activities/activities-data-model.md)
* [Activity Permissions](/docs/concepts/activities/activity-permissions.md)
* [Advanced Activity Rules](/docs/concepts/activities/advanced-activity-rules.md)
* [Activities API & Webhooks](/docs/concepts/activities/activities-api-and-webhooks.md)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.kizen.com/docs/concepts/activities/activities-api-and-webhooks/list-scheduled-activities-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
